<?php
// +----------------------------------------------------------------------
// | SentCMS [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2013 http://www.tensent.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: molong <molong@tensent.cn> <http://www.tensent.cn>
// +----------------------------------------------------------------------
namespace app\controller\system;

use app\controller\Base;
use app\services\auth\UsersLogService;

/**
 * @title 用户日志管理
 */
class Log extends Base {

	/**
	 * @title 日志列表
	 *
	 * @return void
	 */
	public function index(){
		$list = app()->make(UsersLogService::class)->getUserLogList($this->request);

		$this->data['data'] = $list;
		return $this->data;
	}

	/**
	 * @title 我的日志
	 *
	 * @return void
	 */
	public function my(){
		$list = app()->make(UsersLogService::class)->getMyLogList($this->request);

		$this->data['data'] = $list;
		return $this->data;
	}
}